//
//  CALayer+Layout.h
//  SFToolkit
//
//  Created by Matteo Rattotti on 1/12/11.
//  Copyright 2011 Shiny Frog. All rights reserved.
//

#import <QuartzCore/QuartzCore.h>

@interface CALayer (Layout)

- (void) centerHorizontallyRelativeTo:(NSString *)layerName leftOffset: (CGFloat) leftOffset rightOffSet: (CGFloat) rightOffSet;

- (void) centerHorizontallyRelativeTo:(NSString *)layerName offset: (CGFloat) offset;
- (void) centerVerticallyRelativeTo:(NSString *)layerName offset: (CGFloat) offset;

- (void) centerVerticallyAndHorizontallyRelativeTo: (NSString *) layerName;
- (void) centerVerticallyAndHorizontallyRelativeTo: (NSString *) layerName xOffSet: (CGFloat) xOffSet yOffSet: (CGFloat) xOffSet;

#pragma mark -
#pragma mark Anchor Layer

- (void) anchorTopRelativeTo: (NSString *) layerName offset: (CGFloat) offset;
- (void) anchorBottomRelativeTo: (NSString *) layerName offset: (CGFloat) offset;
- (void) anchorRightRelativeTo: (NSString *) layerName offset: (CGFloat) offset;
- (void) anchorLeftRelativeTo: (NSString *) layerName offset: (CGFloat) offset;

#pragma mark -
#pragma mark Positioning

- (void) stayOnLeftRelativeTo: (NSString *) layerName offset: (CGFloat) offset;
- (void) stayOnRightRelativeTo: (NSString *) layerName offset: (CGFloat) offset;

@end
